> For the complete documentation index, see [llms.txt](https://docs.weka.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.weka.io/6.0/getting-started-with-weka/weka-cli-overview/cli-reference-guide/weka-events.md).

# weka events

View and manage WEKA system events.

List all events that conform to the filter criteria.

```sh
weka events [--category <event-categories>…] [--cloud-time] [--direction <direction>] [--end-time <time>] [--exclude-type <event-types>…] [--no-proxy] [--num-results <uint>] [--proxy <string>] [--severity <severity>] [--show-internal] [--start-time <time>] [--type <event-types>…]
```

| Parameter                               | Description                                                                                                                                          |
| --------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `-c`, `--category` \<event-categories>… | Include only events in this category. Multiple values may be supplied separated by commas, or the option may be repeated.                            |
| `-l`, `--cloud-time`                    | Sort by cloud time.                                                                                                                                  |
| `-d`, `--direction` \<direction>        | Fetch events from the first available event (forward) or the latest created event (backward). Default is backward. Valid values: forward, backward.  |
| `--end-time` \<time>                    | Include only events that occurred at or before this time.                                                                                            |
| `-x`, `--exclude-type` \<event-types>…  | Remove events by type. Glob patterns (\*, ?, \[]) are supported. Multiple values may be supplied separated by commas, or the option may be repeated. |
| `--no-proxy`                            | Do not use an HTTP proxy when connecting to the cloud.                                                                                               |
| `-n`, `--num-results` \<uint>           | Maximum number of events to report.                                                                                                                  |
| `--proxy` \<string>                     | Use the given proxy for connecting to the cloud.                                                                                                     |
| `--severity` \<severity>                | Include events with equal and higher severity. Valid values: critical, major, minor, warning, info.                                                  |
| `-i`, `--show-internal`                 | Show internal events.                                                                                                                                |
| `--start-time` \<time>                  | Include only events that occurred at or after this time.                                                                                             |
| `-t`, `--type` \<event-types>…          | Filter events by type. Glob patterns (\*, ?, \[]) are supported. Multiple values may be supplied separated by commas, or the option may be repeated. |

**Columns:** `timestamp`, `cloudTime`, `process`, `category`, `severity`, `type`, `entity`, `synopsis`, `description`

## weka events categories

Show the event categories.

```sh
weka events categories [--show-internal]
```

| Parameter         | Description           |
| ----------------- | --------------------- |
| `--show-internal` | Show internal events. |

**Columns:** `category`

## weka events local

List recent events that happened on the machine running this command.

```sh
weka events local [--all] [--end-time <time>] [--next <string>] [--show-internal] [--start-time <time>] [--stem-mode] [--tenant <tenant>]
```

| Parameter               | Description                                                                |
| ----------------------- | -------------------------------------------------------------------------- |
| `--all`                 | Instead of only retrieving a single page, get the entire set of events.    |
| `--end-time` \<time>    | Include only events that occurred at or before this time.                  |
| `--next` \<string>      | Token for next page of events. Leave empty to start paging through events. |
| `-i`, `--show-internal` | Show internal events.                                                      |
| `--start-time` \<time>  | Include only events that occurred at or after this time.                   |
| `--stem-mode`           | Show STEM mode events.                                                     |
| `--tenant` \<tenant>    | Filter events by tenant name or ID.                                        |

**Columns:** `timestamp`, `process`, `category`, `severity`, `type`, `entity`, `synopsis`, `description`

## weka events trigger

Trigger a custom event with a user defined parameter.

```sh
weka events trigger <message>
```

| Parameter   | Description                                          |
| ----------- | ---------------------------------------------------- |
| `message`\* | User defined text to trigger as the event parameter. |

## weka events types

Show the event type definition information.

```sh
weka events types [--category <event-categories>…] [--show-internal] [--type <event-types>…]
```

| Parameter                               | Description                                                                                                                       |
| --------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| `-c`, `--category` \<event-categories>… | List only events of the specified categories. Multiple values may be supplied separated by commas, or the option may be repeated. |
| `--show-internal`                       | Show internal events.                                                                                                             |
| `-t`, `--type` \<event-types>…          | List only events of the specified types. Multiple values may be supplied separated by commas, or the option may be repeated.      |

**Columns:** `type`, `category`, `severity`, `description`, `format`, `permission`, `parameters`, `dedup`, `dedupParams`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.weka.io/6.0/getting-started-with-weka/weka-cli-overview/cli-reference-guide/weka-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
